%global debug_package %{nil}

%global project youtube-dl-gui
%global owner MrS0m30n3
%global repo %{project}

# commit
%global _commit c5c18e55cb7e04fb6d6d8e64024a7dbac1f6b431
%global _shortcommit %(c=%{_commit}; echo ${c:0:7})

%global _version 0.4
%global _iteration 6

Name:           youtube-dl-gui
Version:        %{_version}
Release:		%{_iteration}.git%{_shortcommit}%{?dist}

Summary:        GUI For youtube-dl
License:        Unlicense
URL:            http://mrs0m30n3.github.io/youtube-dl-gui/
Source0:	https://github.com/%{owner}/%{project}/archive/%{_commit}/%{repo}-%{_shortcommit}.tar.gz
#Source1:        https://raw.githubusercontent.com/yucefsourani/youtube_dl_gui_spec_file/master/youtube-dl-gui.desktop
BuildRequires:  python2-devel
BuildRequires:  python2
BuildRequires:  python2-rpm-macros desktop-file-utils
BuildRequires:  wxPython-devel
BuildRequires:  gettext
BuildRequires:  python2-twodict
Requires:       python
Requires:       ffmpeg
Requires:       wxPython
Requires:       youtube-dl
Requires:       python2-twodict
Provides:       youtube-dlG
Obsoletes:      youtube-dlG

%description
A cross platform front-end GUI of the popular youtube-dl written in wxPython.



%prep
%autosetup -n %{name}-%{_commit}

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
#%find_lang %{name}
#%find_lang youtube_dl_gui
#desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Youtube-dl-GUI
Comment=A cross platform front-end GUI of the popular youtube-dl
Icon=%{name}
Exec=%{name}
Terminal=false
Type=Application
Categories=Application;Network;
EOF
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop

#%files -f %{name}.lang
#%files -f youtube_dl_gui.lang
%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{python2_sitelib}/*
%{_mandir}/man1/%{name}.*

%changelog
* Fri Aug 14 2020 Jean-Marc Liger <ligenix@iscp.fr> - %{_version}-%{_iteration}.git%{_shortcommit}
- Rebuild for COPR EL7 and EL8

* Tue Aug 13 2019 dfas <d.dfas@moens.cc> - %{_version}-%{_iteration}.git%{_shortcommit}
- Release %{_version} git-%{_commit}

* Sat Nov 10 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-6
- Release 6

* Sat Nov 10 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-5
- Release 5

* Sun Nov 04 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-4
- Release 4

* Sun Nov 04 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-3
- Release 3

* Sat Nov 03 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-2
- Release 2

* Wed Dec 13 2017 youcef sourani <youssef.m.sourani@gmail.com> - 0.4-1
- Update To v0.4

* Fri Oct 28 2016 youcef sourani <youssef.m.sourani@gmail.com> - 0.3.8-1
- Initial Package


